## Contents

class solace.ReplayStartLocationDate extends ReplayStartLocation

- This class is not exposed for construction by API users. Users should obtain an instances from the following:
  - solace.SolclientFactory.createReplayStartLocationDate

Defines the ReplayStartLocation class. The ReplayStartLocation is set in the corresponding MessageConsumer property solace.MessageConsumerProperties#replayStartLocation

## Constructor Top

| ReplayStartLocationDate ( Object spec ) |  |

## Constructor details Top

###
ReplayStartLocationDate ( Object spec )

- This class is not exposed for construction by API users. Users should obtain an instances from the following:
  - solace.SolclientFactory.createReplayStartLocationDate

Defines the ReplayStartLocation class. The ReplayStartLocation is set in the corresponding MessageConsumer property solace.MessageConsumerProperties#replayStartLocation

#### Parameters

Object | spec The topic spec